> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://mailchimp.com/developer/marketing/api/reports/get-email-activity/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mailchimp.com/_mcp/server. # Get subscriber email activity GET https://api.mailchimp.com/3.0/reports/{campaign_id}/email-activity/{subscriber_hash} Get a specific list member's activity in a campaign including opens, clicks, and bounces. Reference: https://mailchimp.com/developer/marketing/api/reports/get-email-activity ## Authentication - `Authorization` header (bearer token, required) — Authorization using a Mailchimp API key (a.k.a. Bearer token) - `Authorization` header (bearer token, required) — Authorization using OAuth ## Request ### Path parameters - `campaign_id` (string, required) — The unique id for the campaign. - `subscriber_hash` (string, required) — The MD5 hash of the lowercase version of the list member's email address. ### Query parameters - `fields` (list of string, optional) — A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation. - `exclude_fields` (list of string, optional) — A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation. - `since` (string, optional) — Restrict results to email activity events that occur after a specific time. Uses ISO 8601 time format: 2015-10-21T15:41:36+00:00. - `filter_bots` (boolean, optional, default: false) — When true, exclude automated bot and Apple Mail Privacy Protection (MPP) proxy activity so the returned activity reflects human-only opens and clicks, matching the in-app Recipient Activity view. Filtering removes events from a member's activity, but never removes the member from the response. Defaults to false (all activity). ## Response ### 200 - `_links` (list of EmailActivityLinksItems, optional) — A list of link types and descriptions for the API schema documents. - `activity` (list of EmailActivityActivityItems, optional) — An array of objects, each showing an interaction with the email. Member activity limited to 1,000 open activities and 1,000 click activities per member per campaign. - `campaign_id` (string, optional) — The unique id for the campaign. - `email_address` (string, optional) — Email address for a subscriber. - `email_id` (string, optional) — The MD5 hash of the lowercase version of the list member's email address. - `list_id` (string, optional) — The unique id for the list. - `list_is_active` (boolean, optional) — The status of the list used, namely if it's deleted or disabled. ## Types ### EmailActivityLinksItems This object represents a link from the resource where it is found to another resource or action that may be performed. - `href` (string, optional) — This property contains a fully-qualified URL that can be called to retrieve the linked resource or perform the linked action. - `method` (enum, optional) — The HTTP method that should be used when accessing the URL defined in 'href'. - Allowed values: `GET`, `POST`, `PUT`, `PATCH`, `DELETE`, `OPTIONS`, `HEAD` - `rel` (string, optional) — As with an HTML 'rel' attribute, this describes the type of link. - `schema` (string, optional) — For HTTP methods that can receive bodies (POST and PUT), this is a URL representing the schema that the body should conform to. - `targetSchema` (string, optional) — For GETs, this is a URL representing the schema that the response should conform to. ### EmailActivityActivityItems A summary of the interaction with the campaign. - `action` (string, optional) — One of the following actions: 'open', 'click', or 'bounce' - `ip` (string, optional) — The IP address recorded for the action. - `timestamp` (datetime, optional) — The date and time recorded for the action in ISO 8601 format. - `type` (string, optional) — If the action is a 'bounce', the type of bounce received: 'hard', 'soft'. - `url` (string, optional) — If the action is a 'click', the URL on which the member clicked. ## Examples **Response** ```json { "_links": [ { "href": "string", "method": "GET", "rel": "string", "schema": "string", "targetSchema": "string" } ], "activity": [ { "action": "string", "ip": "string", "timestamp": "2024-01-15T09:30:00Z", "type": "string", "url": "string" } ], "campaign_id": "string", "email_address": "string", "email_id": "string", "list_id": "string", "list_is_active": true } ``` **SDK Code** ```python import requests url = "https://api.mailchimp.com/3.0/reports/campaign_id/email-activity/subscriber_hash" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.mailchimp.com/3.0/reports/campaign_id/email-activity/subscriber_hash'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.mailchimp.com/3.0/reports/campaign_id/email-activity/subscriber_hash" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.mailchimp.com/3.0/reports/campaign_id/email-activity/subscriber_hash") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.mailchimp.com/3.0/reports/campaign_id/email-activity/subscriber_hash") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.mailchimp.com/3.0/reports/campaign_id/email-activity/subscriber_hash', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.mailchimp.com/3.0/reports/campaign_id/email-activity/subscriber_hash"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.mailchimp.com/3.0/reports/campaign_id/email-activity/subscriber_hash")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > Find all the Mailchimp API documentation and tools developers need to send marketing and transactional emails.